#!/bin/bash

# aspectc++
ASPECTC_HOME="/home/channgo/Tools/AspectC++-1.2"
AC=$ASPECTC_HOME/ac++
AG=$ASPECTC_HOME/ag++

# systemc
SYSTEMC_HOME="/home/channgo/Tools/systemc-2.3.0_modified"

# source code
SOURCE_HOME="/home/channgo/Working/plasma_plugins/trunk/stochastic_SystemC/examples/multi-lift_v1/src"

# instrumented code
INST_HOME="/home/channgo/Working/plasma_plugins/trunk/stochastic_SystemC/examples/multi-lift_v1/instrumented"

# clean instrument folder
cd $INST_HOME
/bin/rm -f *.h *.cc

# generate puma.config
cd $ASPECTC_HOME
$AG --gen_config

# instrumented code
cd $SOURCE_HOME

for i in *.h ; do
	[[ -f "$i" ]] || continue
	$AC -c "$i" -o $INST_HOME/"$i" -p $SOURCE_HOME/ -I $SOURCE_HOME -I $SYSTEMC_HOME/include --config $ASPECTC_HOME/puma.config
done

for i in *.cc ; do
	[[ -f "$i" ]] || continue
	$AC -c "$i" -o $INST_HOME/"$i" -p $SOURCE_HOME/ -I $SOURCE_HOME -I $SYSTEMC_HOME/include --config $ASPECTC_HOME/puma.config
done

# copy Makefile

